{% extends 'base.html.twig' %}

{% block title %}{{ ad.titleAd }}{% endblock %}

{% block body %}
<div class="ad-title" style="background-image: url({{ ad.coverImageAd }})">
    <div class="container">
        <h1>{{ ad.titleAd }}</h1>
        <p>{{ ad.intoductionAd }}</p>
        <p class="h3">
            <strong class="h2">{{ ad.roomsAd }} chambres</strong> pour <strong  class="h2">{{ ad.priceAd }}&euro;</strong> par nuit
        </p>
        <a href="#" class="btn btn-primary">Réserver !</a>
    </div>
</div>
<div class="container">
    <div class="row">
        <div class="col-md-8 mb-3">
            {{ ad.contentAd | raw }}

            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
                <ol class="carousel-indicators">
                    {% for image in ad.images %}
                    <li data-target="#carouselExampleIndicators" data-slide-to="{{ loop.index0 }}" class="{% if loop.first %} active {% endif %}"></li>
                    {% endfor %}
                </ol>
                <div class="carousel-inner">
                    {% for image in ad.images %}
                    <div class="carousel-item {% if loop.first %} active {% endif %}">
                        <img class="d-block w-100" src="{{ image.urlImage }}" alt="First slide">
                        <div class="carousel-caption d-none d-md-block">
                            <p class="h3 text-secondary">{{ ad.titleAd }}</p>
                            <p>{{ image.captionImage }}</p>
                        </div>
                    </div>
                    {% endfor %}
                </div>
                <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                    <span class="sr-only">Previous</span>
                </a>
                <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                    <span class="carousel-control-next-icon" aria-hidden="true"></span>
                    <span class="sr-only">Next</span>
                </a>
            </div>
        </div>
        <div class="col">
            <div class="row">
                <div class="col-4">
                    <img src="http://placehold.it/64x64" alt="Avatar">
                </div>
                <div class="col">
                    <h3>Younes MELHEB</h3>
                    <span class="badge badge-success">3 annonces</span>
                </div>
                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Quam obcaecati dicta odio, quasi at aliquid quis suscipit iure sapiente laborum.</p>
                <p>Perspiciatis nobis nulla deleniti assumenda, velit soluta. Itaque animi temporibus corrupti reprehenderit officia mollitia delectus perspiciatis, error soluta iste quis!</p>
                <p>Quos consequatur nemo est atque distinctio. Ab provident non blanditiis, id iure similique, saepe repellendus architecto optio nostrum odio itaque!</p>
            </div>
        </div>
    </div>
</div>
{% endblock %}